3v4l.org

run code in 150+ php & hhvm versions
Bugs & Features
<?php class Foo { protected $var; } class Bar extends Foo { private $var; }
Output for 5.3.0 - 5.5.12
Fatal error: Access level to Bar::$var must be protected (as in class Foo) or weaker in /in/o24di on line 8
Process exited with code 255.